projects_rules:
  - rule_name: master_rule
    default_branch: master
    variables:
      - name: PREDEFINED_VARIABLE
        value: predefined_value

projects_configuration:
  - paths:
      - path/to/some/project
    rule_name: master_rule
    custom_rules:
      variables:  # <= we want to use new values
        - name: FORCED_VARIABLE
          value: forced_value

  - paths:
      - path/to/another/project
    rule_name: master_rule
    custom_rules:
      variables: null # <== we want to keep existing variables

  - paths:
      - path/to/yet/another/project
    rule_name: master_rule
    # <= ok for this one, use the values defined in the rule
